Bug 124423 - Arts sound server not working after yum check-update
Arts sound server not working after yum check-update
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 10:23 EDT by Kim Pedersen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 09:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Png screenshot showing the arts not working message I get when logging into KDE. (18.41 KB, image/png)
2004-05-26 10:24 EDT, Kim Pedersen
no flags Details

  None (edit)
Description Kim Pedersen 2004-05-26 10:23:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After I update Fedora Core 2 with a yum check-update command and
downloaded/installed some kdelibs the arts sound server does not work
anymore.

Version-Release number of selected component (if applicable):
arts-1.2.2-2

How reproducible:
Didn't try

Steps to Reproduce:
1. Install Fedora Core 2
2. Use KDE
3. Execute yum check-update (while logged into KDE, as user (update as
root via the su command))
4. Restart computer
5. Log into KDE
6. Get the message saying that arts does not work anymore, as /dev/dsp
can't be opened (No such device). The soud server will continue, using
the null output device.
    

Actual Results:  Arts does not work anymore

Expected Results:  That arts would work (as prior to the update), and
that I would have sound in KDE.

Additional info:
Comment 1 Kim Pedersen 2004-05-26 10:24:42 EDT
Created attachment 100586 [details]
Png screenshot showing the arts not working message I get when logging into KDE.
Comment 2 Nuclear 2004-06-11 21:41:44 EDT
I have this same problem, but i didn´t do any update. My FC2 is 
final, is yours a test version?
I found a very stupid fix for this problem on my box:
Start KDE using a non-root account.
Login in a user account reduced the chance of this window poping 
greatly, 9 out of 10 reboots worked fine with sound. And after loggin 
as user once, I can switch back to root and play with sound...
Fedora...
Comment 3 Ngo Than 2004-09-26 18:54:46 EDT
do you have any hardware using sound device like USB webcam?
could you please check if /dev/dsp* devices exist on your machine?
Comment 4 Ngo Than 2006-06-26 09:20:28 EDT
there's new FC5 available. You should update to new version please. Thanks

Note You need to log in before you can comment on or make changes to this bug.